## org.apache.maven.shared.jar.identification.hash
Interface JarHashAnalyzer

All Known Implementing Classes:
  JarBytecodeHashAnalyzer, JarFileHashAnalyzer

    public interface JarHashAnalyzer

Classes that can calculate various hash signatures for a JAR file to later uniquely identify them.

Method Summary
`java.lang.String` `computeHash(JarAnalyzer jarAnalyzer)` Compute the hash for the JAR.

Method Detail

### computeHash

    java.lang.String computeHash(JarAnalyzer jarAnalyzer)

  Compute the hash for the JAR. The hashcode will then be cached in the JAR data class for later use.

  Parameters:
    `jarAnalyzer` - the JAR analyzer to use to obtain the entries to hash
  Returns:
    the hash, or null if not able to be computed due to an exception.

Copyright © 2011. All Rights Reserved.